Page MenuHomePhabricator

Notice: Undefined index: X in /srv/mediawiki/php-1.29.0-wmf.11/skins/CologneBlue/SkinCologneBlue.php on line Y
Closed, ResolvedPublic

Description

Seeing these with the rollout of 1.29.0-wmf.11 to group1

Notice: Undefined index: addsection in /srv/mediawiki/php-1.29.0-wmf.11/skins/CologneBlue/SkinCologneBlue.php on line 492
Notice: Undefined index: createaccount in /srv/mediawiki/php-1.29.0-wmf.11/skins/CologneBlue/SkinCologneBlue.php on line 458
Notice: Undefined index: emailuser in /srv/mediawiki/php-1.29.0-wmf.11/skins/CologneBlue/SkinCologneBlue.php on line 197
Notice: Undefined index: login in /srv/mediawiki/php-1.29.0-wmf.11/skins/CologneBlue/SkinCologneBlue.php on line 458
Notice: Undefined index: protect in /srv/mediawiki/php-1.29.0-wmf.11/skins/CologneBlue/SkinCologneBlue.php on line 217
Notice: Undefined index: undelete in /srv/mediawiki/php-1.29.0-wmf.11/skins/CologneBlue/SkinCologneBlue.php on line 211
Notice: Undefined index: unprotect in /srv/mediawiki/php-1.29.0-wmf.11/skins/CologneBlue/SkinCologneBlue.php on line 222

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2017, 9:11 PM

These were probably surfaced by https://gerrit.wikimedia.org/r/#/c/336415/ and if so, don't indicate any new serious problems. Probably just needs a sprinkle of isset(). @ashley Wanna fix?

Change 336714 had a related patch set uploaded (by Jack Phoenix):
Fix a bunch of undefined indexes

https://gerrit.wikimedia.org/r/336714

Change 336885 had a related patch set uploaded (by Thcipriani):
Fix a bunch of undefined indexes

https://gerrit.wikimedia.org/r/336885

Change 336714 merged by jenkins-bot:
Fix a bunch of undefined indexes

https://gerrit.wikimedia.org/r/336714

Change 336885 merged by jenkins-bot:
Fix a bunch of undefined indexes

https://gerrit.wikimedia.org/r/336885

Mentioned in SAL (#wikimedia-operations) [2017-02-09T20:41:05Z] <thcipriani@tin> Synchronized php-1.29.0-wmf.11/skins/CologneBlue/CologneBlue.php: [[gerrit:336714|Fix a bunch of undefined indexes]] T157619 (duration: 00m 41s)

Mentioned in SAL (#wikimedia-operations) [2017-02-09T20:45:20Z] <thcipriani@tin> Synchronized php-1.29.0-wmf.11/skins/CologneBlue/SkinCologneBlue.php: [[gerrit:336714|Fix a bunch of undefined indexes]] T157619 (sync actual skin file) (duration: 00m 40s)

Change 336908 had a related patch set uploaded (by Thcipriani):
Fix remaining undefined index notices

https://gerrit.wikimedia.org/r/336908

Change 336908 merged by jenkins-bot:
Fix remaining undefined index notices

https://gerrit.wikimedia.org/r/336908

Change 336917 had a related patch set uploaded (by Thcipriani):
Fix remaining undefined index notices

https://gerrit.wikimedia.org/r/336917

Change 336917 merged by jenkins-bot:
Fix remaining undefined index notices

https://gerrit.wikimedia.org/r/336917

Well that last patch of mine didn't work. For now I'm going to revert https://gerrit.wikimedia.org/r/#/c/336415/

I don't like suppressing these notices; however, I can't roll the train forward because these errors are causing spikes in logstash (https://wikitech.wikimedia.org/wiki/Deployments/Holding_the_train#Issues_that_hold_the_train see "Large error-rate increases).

Stopping the train due to errors that have existed for a long time seems wrong, too. Therefore, I'm going to revert the removal of error suppression and roll forward.

This is resolved now? Or not?

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM